<?php
require("conexion.php");
session_start();
$nom = $_SESSION['nom_admin'];
$iduser = $_SESSION['id_user'];
$suc = $_SESSION['IdSuc'];
if($suc == 1){
    $pre = 'CUL-';
    $sucn = 'SUCURSAL MATRIZ';
}else if ($suc == 2){
    $pre = 'MAZ-';
    $sucn = 'SUCURSAL MAZATLAN';
}else if($suc == 3){
    $pre = 'HER-';
    $sucn = 'SUCURSAL TIJUANA';
}
?>
<html>
    <head>
        <meta charset="utf-8">
    	<meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Nueva orden</title>
<link href="./bootstrap/css/bootstrap.css" rel="stylesheet">
<link href="./bootstrap/css/bootstrap.min.css" rel="stylesheet">
<link href="./bootstrap/css/bootstrap-theme.css" rel="stylesheet">
<link href="./bootstrap/css/bootstrap-theme.min.css" rel="stylesheet">
        <link rel="stylesheet" type="text/css" href="css/prueba.css">

        

        <?php
			require ("./Funciones/funciones.php");
			$conexion = conecta();
			

			

        ?>
        

        <style type="text/css">


input{
    width:90%;
    text-align: right;
}
select{
    width:100%;
}
#menu{
/*estilo de nuestra lista*/
background-color:#3EA55D;
list-style:none;
width:100%;
position:absolute;
display:block;
height:36px;
}
#menu li{
/*estilo a cada uno de los elementos(li) de nuestro menu*/
float:left;/* propiedad importante para que nuestro menu tome la forma horizontal*/
display:block;
position:relative;
}
#menu li a{
/*estilo de los enlaces */
color:#FFF;
text-decoration:none;
font-family:Helvetica, Arial, sans-serif;
font-size:14px;
line-height:1.3em;
padding:10px 14px 8px 16px;
display:block;
}
#menu li ul{
/*estilo de los submenus*/
width:280px;
background:#FFF;
border:1px #CCC solid;
display:none; /*importante para que los submenus no estén visibles*/
position:absolute;
z-index:999;
margin-top:0px;
}
#menu li ul li{
/*estilo a cada uno de los elementos(li) de nuestro submenu*/
width:100%;
list-style:none;
display:block;
}
#menu li ul li a{
/*estilo a cada uno de los enlaces de nuestro submenu*/
color:#3EA55D;
font-size:14px;
line-height:1.3em;
display:block;
font-weight:normal;
padding:8px
}
#menu li ul li a:hover{
/*un poco de decoracion a los enlaces de nuestro submenu al estar el cursor sobre ellos con ayuda de el selector :hover */
background-color:#b1dbbe;
color:#64b77d;
text-decoration:underline;
}
#menu li:hover ul{
/*con este selector definimos que cuando el cursor este sobre un elemento(li) que contenga un elemento(ul) dentro le asigne la propiedad display:block; para que este a su vez pase de invisible a visible*/
display:block;
}
       </style>
    </head>
	<body>

<?php include('menu.php');
date_default_timezone_set('America/Mazatlan');
$fol = mysqli_query($conexion,"SELECT * FROM Ventas ")
if(mysqli_num_rows($fol)>0){

    $foli = mysqli_query($conexion,"SELECT IdVenta from Ventas order by IdVenta desc limit 1");
    $f = mysqli_fetch_array($foli);
    $folio = $f['IdVenta']+1;
}else{
    $folio = 1;
}

                            
?>
<br>
<br>
<br>
<br>
<br>
<br>
<div id="section" align="center">
        <table id="tablaord" class="table table-bordered table-condensed table-hover" style="max-width:960px;">           
        <thead>
            <tr>
                <td>Tipo de orden: </td>
                <td colspan="1"><select id="tipoord" name="tipoord" >
                    <option value="0" > Selecciona una opcion</option>
                    <option value="1" selected>Orden</option>
                    <option value="2">Cotizacion</option>
                </select></td>
                <td>Vendedor: </td>
                <td colspan="1"><select id="empleado">
                    <option value="0" selected> Selecciona una opcion</option>
                    <option value="1" >Martha</option>
                    <option value="2" selected>Eduardo Lee</option>
                </select></td>
            </tr>
            <tr>
                <th width="100%" colspan="4" class="metpag"><br></th>
                
            </tr> 
            
            <th style="text-align:center;" colspan="4" class="metpag" >DATOS DE LA ORDEN</th>
            
            <!--<tr>
                <td>FOLIO: </td>
                <td colspan="2"><input type="text" class="form-control" id="folio" value="<?php echo $folio; ?>" disabled/></td>
                <td colspan="1"><select id="tipofolio">
                    <option value="0" > Selecciona una opcion</option>
                    <option value="1" selected>Factura</option>
                    <option value="2" >Nota de venta</option>
                </select></td>
            </tr>-->
            <tr>
                <td>Fecha: </td>
                <td colspan="1"><input type="date" class="form-control" id="FechaOrden" value="<?php echo date("Y-m-d");?>" disabled="disabled"/></td>
                <td>Sucursal: </td>
                <td colspan="1"><select id="suc">
                    <option value="0" > Selecciona una opcion</option>
                    <option value="1" selected >Culiacan</option>
                    <option value="2" >Mazatlan</option>
                </select></td>
            </tr>
            
            <tr>
                <th width="100%" colspan="4" class="metpag"><br></th>
            </tr> 

        </table>

        <table id="tablaord" class="table table-bordered table-condensed table-hover" style="max-width:960px;"> 
<!-- Remitente -->            
        <tr>
            <th style="text-align:center;" colspan="4" class="metpag" >DATOS DEL CLIENTE</th>
            
        </tr>
        </thead>
        <tbody>
            <tr>
                <td>Cliente:</td>
                <td colspan="2"><input type="text" class="ui-widget" id="codCliente" placeholder="Busca por codigo o nombre"/></td>
                <td><input type="button" value="Nuevo Cliente" data-toggle="modal" data-target="#modalAsistencia" class="btn btn-primary"/></td>
                
            </tr>
            <tr>
                <td colspan="2">Selecciona una opcion:</td>
                <td colspan="2">
                    <div id="cliente"><select id="clientesa"><option value="" disabled selected>Escoge una opcion</option></select></div>
                </td>  
            </tr>   
            <tr>
                <td>Nombre: </td>
                <td colspan="1"><input type="text" class="form-control" id="nomCliente" disabled="disabled"/></td>
                <td>Domicilio:</td>
                <td colspan="1"><input type="text" class="form-control" id="domCliente" disabled="disabled"/></td>
                
            </tr>
            
            <tr>
                <td>Tipo de Cliente: </td>
                <td colspan="1"><input type="text" class="form-control" id="tipoInfo" disabled="disabled" /></td>
                <td>Telefono / Celular:</td>
                <td colspan="1"><input type="text" class="form-control" id="telcel" disabled="disabled"/></td>
                
            </tr>
        <tr>
        </table>
<!-- Remitente-->            
<!--Destinatario -->

        <table id="tablaagprod" class="table table-bordered table-condensed table-hover" style="max-width: 960px;">
            
            <tr>
                <th  class="metpag" colspan="7">Agregar producto</th>
            </tr>
            <tr>
                <th  class="metpag" colspan="1">Cantidad</th>
                <th  class="metpag" colspan="3" style="text-align: center;">Area</th>
                <th  class="metpag" colspan="3" style="text-align: center;">Selecciona un producto</th>

            </tr>
            <tr>
                <td colspan="1"><input type="number" class="ui-widget" id="canti" value="1" name="Cantidad" style="width:85px"/></td>
                <td colspan="1"><input type="number"  id="largo" placeholder="Largo" name="largo"  style="width:100px" /></td>
                <td colspan="1"><input type="number"  id="ancho" placeholder="Ancho" name="ancho" style="width:100px"/></td>
                <td><select id="unidmed" style="width:100px">
                    <option value="0" > Selecciona una opcion</option>
                    <option value="1" selected>CM</option>
                    <option value="2">IN</option>
                </select></td>
                <td>Codigo:</td>
                <td colspan="1"><input type="text"  id="codP" placeholder="Busca por codigo o nombre"/></td>
                <td colspan="1">
                    <div id="productoabc"><select id="pa"><option value="0" disabled selected>Escoge una opcion</option></select></div>
                </td> 
            </tr>
</div>

            
          
            <tr>
                <th colspan="7" class="metpag"><br></th>
                
            </tr> 
           
            <tr>
                <td>Cristal Normal</td>
                <td>Cristal Antirreflejante</td>
                <td>Maria Luisas</td>
                <td>Respaldo</td>
                <td colspan="1">Papel Fotografico</td>
                <td>Textura</td>
                <td colspan="1"> Maquila</td>
            </tr>

            <tr >
                
                <td colspan="1" align="right">
                    <select id="crisnorm">
                                    <option value="1" selected>Sencillo</option>
                                    <option value="2">Doble</option>
                                    <option value="3">No aplica</option>
                                </select>
                </td>
                <td colspan="1" align="right"><select id="crisanti">
                                    <option value="1" >Sencillo</option>
                                    <option value="3" selected>No aplica</option>
                                </select>
                </td>
                <td colspan="1" align="right"><select id="marialuisa">
                                    <option value="1" >Sencillo</option>
                                    <option value="2">Doble</option>
                                    <option value="3" selected>No aplica</option>
                                </select>
                </td>
                <td colspan="1" align="right"><select id="respaldo">
                                    <option value="0" selected>No Aplica</option>
                                    <option value="1" >Macocell 3mm</option>
                                    <option value="5" >Macocell 6mm</option>
                                    <option value="6" >Macocell 9mm</option>
                                    <option value="2">Foamboard</option>
                                    <option value="3">PVC</option>
                                    <option value="4">Alubond</option>
                                </select>
                </td>
                <td colspan="1" align="right"><select id="papel">
                                    <option value="0" selected>No Aplica</option>
                                    <option value="1" >Everyday</option>
                                    <option value="2">Mate</option>
                                    <option value="3" >Premium</option>
                                    <option value="4" >Artistico</option>
                                    <option value="5" >Perlado</option>
                                </select>
                </td>
                <td colspan="1" align="right"><select id="textura">
                                    <option value="0" selected>No Aplica</option>
                                    <option value="1" >Piel</option>
                                    <option value="2">Lino</option>
                                    <option value="3">Sand</option>
                                </select>
                </td>
                <td><input type="number" id="maquila" value="0"></td>
            </tr>


            <tr>
                <th colspan="7" class="metpag"><br></th>
                
            </tr>
            <tr>
                <td>Canva</td>
                <td>Acrilico</td>
                <td>Doble cara</td>
                <td colspan="1"><br></td>
                <td colspan="1"><br></td>
                <td colspan="1"><br></td>
                <td colspan="1"><br></td>
            </tr>
            <tr >
                
                <td colspan="1" align="right">
                    <select id="canva">
                                    <option value="0" selected>No aplica</option>
                                    <option value="1">Si aplica</option>
                                </select>
                </td>
                <td colspan="1" align="right"><select id="acrilico">
                                    <option value="0" selected >No aplica</option>
                                    <option value="1" >Si aplica</option>
                                </select>
                </td>
                <td colspan="1" align="right"><select id="doblecara">
                                    <option value="0" selected>No aplica</option>
                                    <option value="1" >Si aplica</option>
                                </select>
                </td>
                <td colspan="1"><br></td>
                <td colspan="1"><br></td>
                <td colspan="1"><br></td>
                <td colspan="1"><input type="button" value="Calcular"  class="btn btn-primary" id="calc"/></td>
            </tr> 

            <tr>
                <th colspan="7" class="metpag"><br></th>
                
            </tr>
            <tr>
                <td>Observaciones del producto:</td>
                <td colspan="6"><input type="text" class="form-control" id="obsOrden" /></td>
            </tr> 
            <tr>
                <th colspan="7" class="metpag"><br></th>
                
            </tr> 
             <tr>
                <td class="precio"><p id="preciomold">Precio producto</p></td>
                <td class="crisnorma"><p id="crisnormal">Cristal sencillo</p></td>
                <td class="crisant"><p id="crisantir">Cristal antirreflejante</p></td>
                <td class="ml"><p id="ml2">Maria Luisa</p></td>
                <td class="res"><p id="resp">Macocell 3 mm</p></td>
                <td class="pap"><p id="pape">Papel Fotografico</p></td>
                <td class="text"><p id="textu">Textura</p></td>
                
            </tr>
            <tr>
                <td class="precio"><span>$</span><input type="number" name="precio" id="totprecio" disabled></td>
                <td class="crisnorma"><span>$</span><input type="number" name="crisnormal" id="totcrisnorm" disabled></td>
                <td class="crisant"><span>$</span><input type="number" name="crisanti" id="totcrisanti" disabled></td>
                <td class="ml"><span>$</span><input type="number" name="ml" id="totml" disabled></td>
                <td class="res"><span>$</span><input type="number" name="respaldo" id="totres" disabled></td>
                <td class="pap"><span>$</span><input type="number" name="crisnormal" id="totpap" disabled></td>
                <td class="text"><span>$</span><input type="number" name="crisnormal" id="tottext" disabled></td>
                
            </tr>

            <tr>
                <th colspan="7" class="metpag"><br></th>
                
            </tr>
            <tr>
                <td class="canva"><p id="canv">Canva</p></td>
                <td class="dobcar"><p id="dobca">Doble cara</p></td>
                <td class="acrilico"><p id="acrilic">Acrilico</p></td>
                <td colspan="3"></td>
                <td> Precio total</td>
                
            </tr>
            <tr>
                <td class="canva"><span>$</span><input type="number" name="precio" id="totcanva" disabled></td>
                <td class="dobcar"><span>$</span><input type="number" name="crisnormal" id="totdobca" disabled></td>
                <td class="acrilico"><span>$</span><input type="number" name="crisanti" id="totacrilico" disabled></td>
                <td colspan="3"><br></td>
                <td><span>$</span><input type="number" name="total" id="preciototal" disabled></td>
                
            </tr>

            <tr>
                <td colspan="3"></td>
                <td colspan="1" align="right"><input type="button" value="Limpiar"  class="btn btn-primary" id="LimpiarAgP"/></td>
                <td></td>
                <td colspan="2" align="right"><input type="button" value="Agregar producto"  class="btn btn-primary" id="GuardProdCuad"/></td>
            </tr>
            
            <tr>
                <th colspan="7" class="metpag"><br></th>
                
            </tr>

            
        </table>

                         <!-- 
            
            <tr>
                <th width="100%" colspan="4" class="metpag"><br></th>    
            </tr> 
            
            <tr>
                <th width="100%" colspan="4" class="metpag"><br></th>    
            </tr>
             
            
            
            
        -->        

        <table id="tablaorden" class="table table-bordered table-condensed table-hover" style="max-width:960px;">
            <th style="text-align:center;" colspan="4" class="metpag" >IMPORTE</th>
            
            <tr >
                <td colspan="2"></td>
                <td colspan="1" class="metpag">Subtotal</td>
                <td colspan="1" ><span>$</span><input type="number" id="totalOrden" value="0" align="right" disabled/></td>
            </tr>
            <tr class="filaSeguro">
                <td colspan="2"></td>
                <td colspan="1" class="metpag">Descuento %</td>
                <td colspan="1" ><span>%</span><input type="number" id="dctoOrden" value="0" align="right" maxlength="2" /></td>
            </tr>
            <tr class="filaSeguro">
                <td colspan="2"></td>
                <td colspan="1" class="metpag">Total</td>
                <td colspan="1" ><span>$</span><input type="number" id="totalFinal" value="0" align="right" disabled/></td>
            </tr>
            <tr  id="cobroEntrega" class="filaEntrega">
                <td colspan="2"></td>
                <td colspan="1" class="metpag">Anticipo</td>
                <td colspan="1" ><span>$</span><input type="number" id="antiOrden" value="0" align="right"/></td>
            </tr>
            <tr>
                <td colspan="2"></td>
                <td colspan="1" class="metpag">Saldo</td>
                <td colspan="1" ><span>$</span><input type="number"  id="saldoOrden" disabled="disabled" value="0" disabled align="right"/></td>
            </tr>
            <tr>
                <th width="100%" colspan="4" class="metpag"><br></th>    
            </tr> 
            <tr>
                <td>Observaciones del pedido:</td>
                <td colspan="3"><input type="text" class="form-control" id="obsOrden" width="100%" /></td>
            </tr>
        
            <th style="text-align:center;" colspan="4" class="metpag" >FECHA DE ENTREGA</th>
            
        </tr>
            <tr>
                <td>Hora de entrega: </td>
                <td colspan="1"><input type="time" class="form-control" id="OrdenEmbarque" value="<?php echo date("h:i"); ?>"/></td>
                <td>Fecha de entrega: </td>
                <td colspan="1"><input type="date" class="form-control" id="FechaOrden" value="<?php echo date("Y-m-d");?>"/></td>
            </tr>
            <tr>
                <tr>
                <th width="100%" colspan="4" class="metpag"><br></th>
                
            </tr>
            <tr>
                <td colspan="3"></td>
                <td colspan="1" align="right"><input type="button" value="Guardar pedido"  class="btn btn-primary" id="GuardOrd"/></td>
            </tr>
 
            </tbody>
            </table>

</div>


<div class="modal fade" id="modalAsistencia" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
              <h4 class="modal-title" id="myModalLabel"><b>Registro de clientes</b></h4>
            </div>
            <div class="modal-body">
            <fieldset><legend>1. Nuevo Cliente</legend>
                <table class="tbl-registro" width="100%">
                    <tr>
                        <?php
                    
                            $sql2 = mysqli_query($conexion,"SELECT * FROM Clientes");
                            if(mysqli_num_rows($sql2)>0){

                                $folioA = mysqli_query($conexion,"SELECT IdCliente from Clientes order by IdCliente desc limit 1");
                                $folio2A = mysqli_fetch_array($folioA);
                                $cod = $folio2A['IdCliente']+1;
                            }else{
                                $cod = 01;
                            }

                        ?>
                        <td>Codigo: </td>
                        <td colspan="2"><input type="text" class="form-control" id="codRegistro" disabled="disabled"  value="<?php echo $cod ?>"/></td>
                        <td>Fecha de Registro: </td>
                        <td colspan="2"><input type="text" class="form-control" value="<?php echo date('d-m-Y'); ?>" disabled="disabled"/></td>
                    </tr>
                    <tr>
                        <td>Nombre: </td>
                        <td colspan="3"><input type="text" class="form-control" id="nomRegistro" /></td>
                        <td>Tipo de cliente</td>
                        <td colspan="1"><select id="tipoCliente" name="tipocliente">
                                    <option value="1" selected>Mostrador</option>
                                    <option value="2" >Fotografo</option>
                                </select></td>
                    </tr>
                    <tr>
                        <td>RFC: </td>
                        <td colspan="5"><input type="text" class="form-control" id="rfcRegistro" /></td>
                    </tr>
                    <tr>
                        <td>Domicilio: </td>
                        <td colspan="5"><input type="text" class="form-control" id="domRegistro" /></td>
                    </tr>
                    <tr>
                        <td>Telefono: </td>
                        <td colspan="2"><input type="text" class="form-control" id="telRegistro" /></td>
                        <td>Celular: </td>
                        <td colspan="2"><input type="text" class="form-control" id="celRegistro" /></td>
                    </tr>
                    <tr>
                        <td>Sucursal: </td>
                        <td colspan="2"><select id="sucRegistro" name="Sucursal">
                            <option value="0" >Selecciona una opcion</option>
                            <option value="1" >Matriz Culiacan</option>
                            <option value="2" >Mazatlan</option>
                            <option value="3" >Tijuana</option>
                            </select></td>
                    </tr>

                </table>
                </fieldset>
                <div class="modal-footer">
                    <input type="button"  class="btn btn-default" id="prueba"  value="Guardar"/>
                </div>
                <div id="mensaje"></div>
                
                
            </div>
          </div>
        </div>
      </div>
    <script src="js/jquery.min.js"></script>
    <script src="https://code.jquery.com/ui/1.12.0/jquery-ui.js"></script>
    <script src="../bootstrap/js/bootstrap.js"></script>
    <script type="text/javascript" src="js/script.js"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.crisant').hide();
            $('.res').hide();
            $('.ml').hide();
            $('.pap').hide();
            $('.text').hide();
            $('.canva').hide();
            $('.dobcar').hide();
            $('.acrilico').hide();


            $('#prueba').click(function(){
                var codigo = $('#codRegistro').val();
                var nombre = $('#nomRegistro').val();
                var rfc = $('#rfcRegistro').val();
                var dom = $('#domRegistro').val();
                var tipo = $('#tipoCliente').val();
                var number = $('#telRegistro').val();
                var cel = $('#celRegistro').val();
                var suc = $('#sucRegistro').val();
                var url = './cliente_guardar.php';

                if(nombre == ''){ 
                    $('#mensaje').html('<p class="alert alert-warning">Alerta!!, tienes que poner el nombre del cliente.</p>').show(300).delay(3000).hide(300);
                    $('#nomRegistro').focus();
                    return false;
                }else{
                    $.ajax({
                        type: 'POST',
                        data: 'codigo='+codigo+'&nombre='+nombre+'&rfc='+rfc+'&dom='+dom+'&tipo='+tipo+'&number='+number+'&cel='+cel+'&suc='+suc,
                        url: url,
                        success: function(data){
                            if(data == 1){
                                codigo++;
                            $('#codRegistro').val(codigo);
                            $('#nomRegistro').val('');
                            $('#rfcRegistro').val('');
                            $('#domRegistro').val('');
                            $('#tipoCliente').selectedIndex = 1;
                            $('#telRegistro').val('');
                            $('#celRegistro').val('');
                            $('#sucRegistro').selectedIndex = 1;
                            $('#nomRemitenten').val('').focus();
                            alert('Cliente Ingresado con exito');
                            }else if(data == 2){
                                alert('Este nombre ya existe en la base de datos');
                                $('#nomRegistro').focus();
                                
                            }else if(data == 4){
                                alert('Esta razon social ya existe en la base de datos');
                                $('#rsRemitenten').focus();
                            }else{
                                alert('Fallo de registro');
                            }
                        }
                    });
                } 
            
            }); 

            $('#codCliente').keyup(function(){

                var dato = $('#codCliente').val();
                var url = 'buscar_cliente.php';
                $.ajax({
                type:'POST',
                url:url,
                data:'dato='+dato,
                success: function(datos){
                    $('#clientesa').html(datos);
                }
            });
            return false;
            });

            $('#clientesa').change(function(){
                var dato = $('#clientesa').val();
                var url = 'datoscliente.php';
                
                $.ajax({
                type:'POST',
                url:url,
                data:'dato='+dato,
                success: function(datos){
                    var separar = datos.split("|");
                    var nom = separar[0];
                    var dom = separar[1];
                    var rfc = separar[2];
                    var cel = separar[3];
                    var number = separar[4];
                    var suc = separar[5];
                    var tipo = separar[6];
                    var id = separar[7];
                    if(tipo == 1){
                        var cliente = 'Mostrador';
                    }else if(tipo == 2){
                        var cliente = 'Fotografo';
                    }
                    var telcel = number+' / '+cel;
                    $('#codCliente').val(dato).show(300).delay(5000);
                    $('#nomCliente').val(nom).show(300).delay(5000);
                    $('#domCliente').val(dom).show(300).delay(5000);
                    $('#tipoInfo').val(cliente).show(300).delay(5000);
                    $('#telcel').val(telcel).show(300).delay(5000);

                }
            });
            return false;
            });

            $('#codP').keyup(function(){

                var dato = $('#codP').val();
                var url = 'busca_prod.php';
                $.ajax({
                type:'POST',
                url:url,
                data:'dato='+dato,
                success: function(datos){
                    $('#pa').html(datos);
                }
            });
            return false;
            });
 
            $('#pa').change(function(){
                var dato = $('#pa').val();
                
                $('#codP').val(dato);
            });

            $('#crisnorm').change(function(){
                var crisnorm = $('#crisnorm').val();
                if(crisnorm == 1){
                    var valcris = 'Cristal Sencillo';
                    $('.crisnorma').show();
                $('#crisnormal').text(valcris);
                }else if(crisnorm == 2){
                    var valcris = 'Cristal Doble';
                    $('.crisnorma').show();
                    $('#crisnormal').text(valcris);
                }else if(crisnorm== 3){
                    $('.crisnorma').hide();
                    $('#crisnormal').text(valcris);
                    $('#totcrisnorm').val('0');
                }
                
            });

            $('#crisanti').change(function(){
                var crisanti = $('#crisanti').val();
                if(crisanti == 1){
                    var valcris = 'Cristal Antirreflejante';
                    $('.crisant').show();
                $('#crisantir').text(valcris);
                }else if(crisanti== 3){
                    $('.crisant').hide();
                    $('#crisantir').text(valcris);
                    $('#totcrisanti').val('0');
                }
                
            });

            $('#canva').change(function(){
                var canva = $('#canva').val();
                if(canva == 1){
                    var valcanva = 'Canva';
                    $('.canva').show();
                $('#canv').text(valcanva);
                }else if(canva== 0){
                    $('.canva').hide();
                    $('#canv').text(valcanva);
                    $('#totcanva').val('0');
                }
                
            });

            $('#doblecara').change(function(){
                var dobcar = $('#doblecara').val();
                if(dobcar == 1){
                    var valdob = 'Doble cara';
                    $('.dobcar').show();
                $('#dobca').text(valdob);
                }else if(dobcar== 0){
                    $('.dobcar').hide();
                    $('#dobca').text(valdob);
                    $('#totdobca').val('0');
                }
                
            });

            $('#acrilico').change(function(){
                var acrilico = $('#acrilico').val();
                if(acrilico == 1){
                    var valacrilico = 'Acrilico';
                    $('.acrilico').show();
                $('#acrilic').text(valacrilico);
                }else if(acrilico== 0){
                    $('.acrilico').hide();
                    $('#acrilic').text(valacrilico);
                    $('#totacrilico').val('0');
                }
                
            });

            $('#marialuisa').change(function(){
                var ml = $('#marialuisa').val();
                if(ml == 1){
                    var valml = 'ML Sencilla';
                    $('.ml').show();
                $('#ml2').text(valml);
                }else if(ml == 2){
                    var valml = 'ML Doble';
                    $('.ml').show();
                    $('#ml2').text(valml);
                }else if(ml== 3){
                    $('.ml').hide();
                    $('#ml2').text(valcris);
                    $('#totml').val('0');
                }
                
            });

            $('#respaldo').change(function(){
                var res = $('#respaldo').val();
                if(res == 1){
                    var valres = 'Macocell 3 mm';
                    $('.res').show();
                $('#resp').text(valres);
                }else if(res == 2){
                    var valres = 'Foamboard';
                    $('.res').show();
                $('#resp').text(valres);
                }else if(res == 3){
                    var valres = 'PVC';
                    $('.res').show();
                $('#resp').text(valres);
                }else if(res == 4){
                    var valres = 'Alubond';
                    $('.res').show();
                $('#resp').text(valres);
                }else if(res == 5){
                    var valres = 'Macocell 6 mm';
                    $('.res').show();
                $('#resp').text(valres);
                }else if(res == 6){
                    var valres = 'Macocell 9 mm';
                    $('.res').show();
                $('#resp').text(valres);
                }else if(res == 0){
                    var valres = 'Respaldo';
                    $('.res').hide();
                $('#resp').text(valres);
                $('#totres').val('0');
                }   
            });

            $('#papel').change(function(){
                var pap = $('#papel').val();
                if(pap == 1){
                    var valpap = 'Papel Everyday';
                    $('.pap').show();
                $('#pape').text(valpap);
                }else if(pap == 2){
                    var valpap = 'Papel Mate';
                    $('.pap').show();
                $('#pape').text(valpap);
                }else if(pap == 3){
                    var valpap = 'Papel Premium';
                    $('.pap').show();
                $('#pape').text(valpap);
                }else if(pap == 4){
                    var valpap = 'Papel Artistico';
                    $('.pap').show();
                $('#pape').text(valpap);
                }else if(pap == 5){
                    var valpap = 'Papel Perlado';
                    $('.pap').show();
                $('#pape').text(valpap);
                }else if(res == 0){
                    var valpap = 'Papel';
                    $('.pap').hide();
                $('#pape').text(valpap);
                $('#totpap').val('0');
                }   
            });

            $('#textura').change(function(){
                var text = $('#textura').val();
                if(text == 1){
                    var valtext = 'Textura Piel';
                    $('.text').show();
                $('#textu').text(valtext);
                }else if(text == 2){
                    var valtext = 'Textura Lino';
                    $('.text').show();
                $('#textu').text(valtext);
                }else if(text == 3){
                    var valtext = 'Textura Sand';
                    $('.text').show();
                $('#textu').text(valtext);
                }else if(text == 0){
                    var valtext = 'Textura';
                    $('.text').hide();
                $('#textu').text(valtext);
                $('#tottext').val('0');

                }  
            });

            $('#calc').click(function(){
                var cliente = $('#codCliente').val();

                var cant = $('#canti').val();
                var largo = $('#largo').val();
                var ancho = $('#ancho').val();
                var umed = $('#unidmed').val();
                var cod = $('#codP').val();

                var cm = $('#crisnorm').val();
                var ca = $('#crisanti').val();
                var ml = $('#marialuisa').val();
                var res = $('#respaldo').val();
                var pap = $('#papel').val();
                var text = $('#textura').val();
                var maq = $('#maquila').val();
                var canva = $('#canva').val();
                var dobcar = $('#doblecara').val();
                var acri = $('#acrilico').val();

                var obs = $('#obsOrden').val();

                var totprecio = $('#totprecio').val();
                var totcm = $('#totcrisnorm').val();
                var totca = $('#totcrisanti').val();
                var totml = $('#totml').val();
                var totres = $('#totres').val();
                var totpap = $('#totpap').val();
                var tottext = $('#tottext').val();
                var totcanva = $('#totcanva').val();
                var totdobca = $('#totdobca').val();
                var totacrilico = $('#totacrilico').val();

                var url = './calculos.php';
                $.ajax({
                    type:'POST',
                    url:url,
                    data:'cant='+cant+'&largo='+largo+'&ancho='+ancho+'&umed='+umed+'&cod='+cod+'&cm='+cm+'&ca='+ca+'&ml='+ml+'&res='+res+'&pap='+pap+'&text='+text+'&maq='+maq+'&totprecio='+totprecio+'&totcm='+totcm+'&totca='+totca+'&totml='+totml+'&totres='+totres+'&totpap='+totpap+'&tottext='+tottext+'&cliente='+cliente+'&canva='+canva+'&dobcar='+dobcar+'&acri='+acri+'&totcanva='+totcanva+'&totdobca='+totdobca+'&totacrilico='+totacrilico,
                    success: function(datos){
                        var separar = datos.split("|");
                        var precio = separar[0];
                        var pcm = separar[1];
                        var pca = separar[2];
                        var pml = separar[3];
                        var pres = separar[4];
                        var ppap = separar[5];
                        var ptext = separar[6];
                        var pcan = separar[7];
                        var pdob = separar[8];
                        var pacr = separar[9];
                        var ptot = separar[10];
                        
                        $('#totprecio').val(precio);
                        $('#totcrisnorm').val(pcm);
                        $('#totcrisanti').val(pca);
                        $('#totml').val(pml);
                        $('#totres').val(pres);
                        $('#totpap').val(ppap);
                        $('#tottext').val(ptext);
                        $('#totcanva').val(pcan);
                        $('#totdobca').val(pdob);
                        $('#totacrilico').val(pacr);
                        $('#preciototal').val(ptot);
                    }
                });
   
            });

            $('#GuardProdCuad').click(function(){
                var cliente = $('#codCliente').val();

                var cant = $('#canti').val();
                var largo = $('#largo').val();
                var ancho = $('#ancho').val();
                var umed = $('#unidmed').val();
                var cod = $('#codP').val();

                var cm = $('#crisnorm').val();
                var ca = $('#crisanti').val();
                var ml = $('#marialuisa').val();
                var res = $('#respaldo').val();
                var pap = $('#papel').val();
                var text = $('#textura').val();
                var maq = $('#maquila').val();
                var canva = $('#canva').val();
                var dobcar = $('#doblecara').val();
                var acri = $('#acrilico').val();

                var obs = $('#obsOrden').val();

                var totprecio = $('#totprecio').val();
                var totcm = $('#totcrisnorm').val();
                var totca = $('#totcrisanti').val();
                var totml = $('#totml').val();
                var totres = $('#totres').val();
                var totpap = $('#totpap').val();
                var tottext = $('#tottext').val();
                var totcanva = $('#totcanva').val();
                var totdobca = $('#totdobca').val();
                var totacrilico = $('#totacrilico').val();
                var total = $('#preciototal').val();

                var totalo = $('#totalOrden').val();
                var subt = $('#totalFinal').val();
                var dcto = $('#dctoOrden').val();

                var url = './guardar_producto.php';
                $.ajax({
                    type:'POST',
                    url:url,
                    data:'cant='+cant+'&largo='+largo+'&ancho='+ancho+'&umed='+umed+'&cod='+cod+'&cm='+cm+'&ca='+ca+'&ml='+ml+'&res='+res+'&pap='+pap+'&text='+text+'&maq='+maq+'&totprecio='+totprecio+'&totcm='+totcm+'&totca='+totca+'&totml='+totml+'&totres='+totres+'&totpap='+totpap+'&tottext='+tottext+'&cliente='+cliente+'&canva='+canva+'&dobcar='+dobcar+'&acri='+acri+'&totcanva='+totcanva+'&totdobca='+totdobca+'&totacrilico='+totacrilico+'&obs='+obs+'&total='+total+'&totalo='+totalo+'&subt='+subt+'&dcto='+dcto,
                    success: function(datos){
                        alert('Producto ingresado correctamente');
                        var separar = datos.split("|");
                        var data = separar[0];
                        var tot = separar[1];
                        $('#tablaagprod tr:last').after(data);
                        $('#totalOrden').val(tot);
                        $('#totalFinal').val(tot);
                    },
                  error: function (xhr, ajaxOptions, thrownError) {
                    alert(xhr.status);
                    alert(thrownError);
                  }
                });
   
            });

            $('#GuardOrd').click(function(){
                var cliente = $('#codCliente').val();

                var cant = $('#canti').val();
                var largo = $('#largo').val();
                var ancho = $('#ancho').val();
                var umed = $('#unidmed').val();
                var cod = $('#codP').val();

                var cm = $('#crisnorm').val();
                var ca = $('#crisanti').val();
                var ml = $('#marialuisa').val();
                var res = $('#respaldo').val();
                var pap = $('#papel').val();
                var text = $('#textura').val();
                var maq = $('#maquila').val();
                var canva = $('#canva').val();
                var dobcar = $('#doblecara').val();
                var acri = $('#acrilico').val();

                var obs = $('#obsOrden').val();

                var totprecio = $('#totprecio').val();
                var totcm = $('#totcrisnorm').val();
                var totca = $('#totcrisanti').val();
                var totml = $('#totml').val();
                var totres = $('#totres').val();
                var totpap = $('#totpap').val();
                var tottext = $('#tottext').val();
                var totcanva = $('#totcanva').val();
                var totdobca = $('#totdobca').val();
                var totacrilico = $('#totacrilico').val();
                var total = $('#preciototal').val();

                var totalo = $('#totalOrden').val();
                var subt = $('#totalFinal').val();
                var dcto = $('#dctoOrden').val();

                var url = './guardar_producto.php';
                $.ajax({
                    type:'POST',
                    url:url,
                    data:'cant='+cant+'&largo='+largo+'&ancho='+ancho+'&umed='+umed+'&cod='+cod+'&cm='+cm+'&ca='+ca+'&ml='+ml+'&res='+res+'&pap='+pap+'&text='+text+'&maq='+maq+'&totprecio='+totprecio+'&totcm='+totcm+'&totca='+totca+'&totml='+totml+'&totres='+totres+'&totpap='+totpap+'&tottext='+tottext+'&cliente='+cliente+'&canva='+canva+'&dobcar='+dobcar+'&acri='+acri+'&totcanva='+totcanva+'&totdobca='+totdobca+'&totacrilico='+totacrilico+'&obs='+obs+'&total='+total+'&totalo='+totalo+'&subt='+subt+'&dcto='+dcto,
                    success: function(datos){
                        alert('Producto ingresado correctamente');
                        var separar = datos.split("|");
                        var data = separar[0];
                        var tot = separar[1];
                        $('#tablaagprod tr:last').after(data);
                        $('#totalOrden').val(tot);
                        $('#totalFinal').val(tot);
                    },
                  error: function (xhr, ajaxOptions, thrownError) {
                    alert(xhr.status);
                    alert(thrownError);
                  }
                });
   
            });

            $('#LimpiarAgP').click(function(){
                $('#canti').val('1');
                $('#largo').val('');
                $('#ancho').val('');
                $('#umed').selectedIndex = 1;
                $('#codP').val('');
                $('#pa').val('');
                $('#crisnorm').selectedIndex = 1;
                $('#crisanti').selectedIndex = 3;
                $('#marialuisa').selectedIndex = 3;
                $('#respaldo').selectedIndex = 1;
                $('#papel').selectedIndex = 0;
                $('#textura').selectedIndex = 0;
                $('#maquila').val('0');
                $('#canva').selectedIndex = 0;
                $('#acrilico').selectedIndex = 0;
                $('#doblecara').selectedIndex = 0;

                $('#obsOrden').val('');

                $('#totprecio').val('0');
                $('#totcrisnorm').val('0');
                $('#totcrisanti').val('0');
                $('#totml').val('0');
                $('#totres').val('0');
                $('#totpap').val('0');
                $('#tottext').val('0');
                $('#totcanva').val('0');
                $('#totdobca').val('0');
                $('#totacrilico').val('0');
                $('#preciototal').val('0');

                
                $('.crisant').hide();
                $('.ml').hide();
                $('.pap').hide();
                $('.text').hide();
                $('.canva').hide();
                $('.dobcar').hide();
                $('.acrilico').hide();
                
            });

            $('#antiOrden').keyup(function(){
                var total = $('#totalFinal').val();
                var anticipo = $('#antiOrden').val();
                var res = total - anticipo;
                var fi = res.toFixed(2);
                $('#saldoOrden').val(fi);
            });

            $('#dctoOrden').keyup(function(){
                var subt = $('#totalOrden').val();
                var totalf = $('#totalFinal').val();
                var dcto = $('#dctoOrden').val();
                var res = (subt * dcto)/100;
                var f = subt - res;
                var prueba = f.toFixed(2);
                $('#totalFinal').val(prueba);

                
            });

          });

function EliminarP(val,val2){

    

    var totalf = $('#totalOrden').val();
    var subt = $('#totalFinal').val();
    var dcto = $('#dctoOrden').val();
    var url = './elim_prod.php';
    $.ajax({
        type:'POST',
        url:url,
        data: 'dato='+val+'&tot='+val2+'&totf='+totalf+'&subt='+subt+'&dcto='+dcto,
        success: function(datos){
            alert('Producto eliminado correctamente');
            $('#totalOrden').val(datos);
            $('#totalFinal').val(datos);
            $('#'+val).hide();
        },
      error: function (xhr, ajaxOptions, thrownError) {
        alert(xhr.status);
        alert(thrownError);
      }
    });


}

      </script>
	</body>